# OptimizerSegmentHandler Class Reference
[Root classes for building DAO hierarchies]

Inheritance diagram for OptimizerSegmentHandler:
[legend]

List of all members.

## Public Member Functions

| __construct ($segmentId)
| touch ($key)
| creates key in segment
| unlink ($key)
| deletes key from segment
| ping ($key)
| checks for a key existence in segment

## Protected Member Functions

| getMap ()
| storeMap (array $map)

## Protected Attributes

| $id = null
| $locker = null

## Detailed Description

Definition at line 15 of file OptimizerSegmentHandler.class.php.

## Constructor & Destructor Documentation

OptimizerSegmentHandler::__construct | ( | $ | segmentId | ) |

Implements SegmentHandler.

Reimplemented in ApcSegmentHandler, eAcceleratorSegmentHandler, and XCacheSegmentHandler.

Definition at line 23 of file OptimizerSegmentHandler.class.php.

## Member Function Documentation

OptimizerSegmentHandler::getMap | ( |  | ) | `[abstract, protected]`

Reimplemented in ApcSegmentHandler, eAcceleratorSegmentHandler, and XCacheSegmentHandler.

Referenced by ping(), touch(), and unlink().

OptimizerSegmentHandler::ping | ( | $ | key | ) |

checks for a key existence in segment

Implements SegmentHandler.

Reimplemented in XCacheSegmentHandler.

Definition at line 54 of file OptimizerSegmentHandler.class.php.

References getMap().

Here is the call graph for this function:

OptimizerSegmentHandler::storeMap | ( | array $ | map | ) | `[abstract, protected]`

Reimplemented in ApcSegmentHandler, eAcceleratorSegmentHandler, and XCacheSegmentHandler.

Referenced by touch(), and unlink().

OptimizerSegmentHandler::touch | ( | $ | key | ) |

creates key in segment

Implements SegmentHandler.

Definition at line 28 of file OptimizerSegmentHandler.class.php.

References getMap(), and storeMap().

Here is the call graph for this function:

OptimizerSegmentHandler::unlink | ( | $ | key | ) |

deletes key from segment

Implements SegmentHandler.

Definition at line 41 of file OptimizerSegmentHandler.class.php.

References getMap(), and storeMap().

Here is the call graph for this function:

## Member Data Documentation

OptimizerSegmentHandler::$id = null`[protected]`

Definition at line 17 of file OptimizerSegmentHandler.class.php.

OptimizerSegmentHandler::$locker = null`[protected]`

Definition at line 18 of file OptimizerSegmentHandler.class.php.

The documentation for this class was generated from the following file:

- main/DAOs/Handlers/OptimizerSegmentHandler.class.php